| Home | Libraries | People | FAQ | More

## Struct template max_impl

boost::accumulators::impl::max_impl

## Synopsis

    // In header: <boost/accumulators/statistics_fwd.hpp>

    template<typename Sample>
    struct max_impl : public accumulator_base {
      // construct/copy/destruct
      template<typename Args> max_impl(Args const &);

      // public member functions
      template<typename Args> void operator()(Args const &);
      result_type result(dont_care) const;
    };

## Description

### `max_impl` public construct/copy/destruct

1.     template<typename Args> max_impl(Args const & args);

### `max_impl` public member functions

1.     template<typename Args> void operator()(Args const & args);

2.     result_type result(dont_care) const;